<div>
    <h2 id="page-heading">
        <span>Job Positions</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-job-positions" [routerLink]="['/job-positions/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Job Positions
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="jobPositions?.length === 0">
        <span>No jobPositions found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="jobPositions && jobPositions.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Team Id</span></th>
                    <th scope="col" ><span>Team Name</span></th>
                    <th scope="col" ><span>Job Description Template Id</span></th>
                    <th scope="col" ><span>Job Description Template Name</span></th>
                    <th scope="col" ><span>Job Title</span></th>
                    <th scope="col" ><span>Line Of Work</span></th>
                    <th scope="col" ><span>Department</span></th>
                    <th scope="col" ><span>Education Background</span></th>
                    <th scope="col" ><span>Salary</span></th>
                    <th scope="col" ><span>Location</span></th>
                    <th scope="col" ><span>Summary</span></th>
                    <th scope="col" ><span>Main Reponsibilities</span></th>
                    <th scope="col" ><span>Job Description</span></th>
                    <th scope="col" ><span>Job Qualifications</span></th>
                    <th scope="col" ><span>Profile Photo</span></th>
                    <th scope="col" ><span>Military Pass</span></th>
                    <th scope="col" ><span>En Language Score</span></th>
                    <th scope="col" ><span>Education Certificate</span></th>
                    <th scope="col" ><span>Driver License</span></th>
                    <th scope="col" ><span>Ch Language Score</span></th>
                    <th scope="col" ><span>Education Qualification</span></th>
                    <th scope="col" ><span>Citizen ID</span></th>
                    <th scope="col" ><span>Jp Language Score</span></th>
                    <th scope="col" ><span>Work Permit</span></th>
                    <th scope="col" ><span>Marriage Certificate</span></th>
                    <th scope="col" ><span>House Registry</span></th>
                    <th scope="col" ><span>Birth Certificate</span></th>
                    <th scope="col" ><span>From</span></th>
                    <th scope="col" ><span>To</span></th>
                    <th scope="col" ><span>Status</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let jobPositions of jobPositions ;trackBy: trackId">
                    <td><a [routerLink]="['/job-positions', jobPositions.id, 'view']">{{ jobPositions.id }}</a></td>
                    <td>{{ jobPositions.name }}</td>
                    <td>{{ jobPositions.teamId }}</td>
                    <td>{{ jobPositions.teamName }}</td>
                    <td>{{ jobPositions.jobDescriptionTemplateId }}</td>
                    <td>{{ jobPositions.jobDescriptionTemplateName }}</td>
                    <td>{{ jobPositions.jobTitle }}</td>
                    <td>{{ jobPositions.lineOfWork }}</td>
                    <td>{{ jobPositions.department }}</td>
                    <td>{{ jobPositions.educationBackground }}</td>
                    <td>{{ jobPositions.salary }}</td>
                    <td>{{ jobPositions.location }}</td>
                    <td>{{ jobPositions.summary }}</td>
                    <td>{{ jobPositions.mainReponsibilities }}</td>
                    <td>{{ jobPositions.jobDescription }}</td>
                    <td>{{ jobPositions.jobQualifications }}</td>
                    <td>{{ jobPositions.profilePhoto }}</td>
                    <td>{{ jobPositions.militaryPass }}</td>
                    <td>{{ jobPositions.enLanguageScore }}</td>
                    <td>{{ jobPositions.educationCertificate }}</td>
                    <td>{{ jobPositions.driverLicense }}</td>
                    <td>{{ jobPositions.chLanguageScore }}</td>
                    <td>{{ jobPositions.educationQualification }}</td>
                    <td>{{ jobPositions.citizenID }}</td>
                    <td>{{ jobPositions.jpLanguageScore }}</td>
                    <td>{{ jobPositions.workPermit }}</td>
                    <td>{{ jobPositions.marriageCertificate }}</td>
                    <td>{{ jobPositions.houseRegistry }}</td>
                    <td>{{ jobPositions.birthCertificate }}</td>
                    <td>{{ jobPositions.from | date:'medium' }}</td>
                    <td>{{ jobPositions.to | date:'medium' }}</td>
                    <td>{{ jobPositions.status }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/job-positions', jobPositions.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/job-positions', jobPositions.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(jobPositions)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
